Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

When pgAdmin III is used to open a PostgreSQL database the following message appears. There does not seem to be any obvious package listed in the Ubuntu Software Center for this.

The server lacks instrumentation functions.

pgadmin III uses some support functions that are not available by default in all PostgreSQL versions. These enable some tasks that make life easier when dealing with log files and configuration files.

The adminpack is installed and activated by default if you are running the one-click installer of PostgreSQL. On Unix, you may have to install the contrib package, either with your package installer tool or by compilation.

share|improve this question
add comment

2 Answers 2

Once you install postgresql-contrib using below command

sudo apt-get install postgresql-contrib

Adminpack is located in the below path

/usr/share/postgresql/9.1/extension/adminpack--1.0.sql

To load the adminpack use the below command

sudo su postgres -c psql < /usr/share/postgresql/9.1/extension/adminpack--1.0.sql

Then

sudo /etc/init.d/postgresql restart
share|improve this answer
add comment

I believe the package which needs to be installed is called postgresql-contrib. Install it with

sudo apt-get install postgresql-contrib
share|improve this answer
    
Depending on the version, you may need to run something like: sudo su postgres -c psql < /usr/share/postgresql/8.4/contrib/adminpack.sql then restart the server. –  Julien Carsique Jan 16 '13 at 13:28
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.